Welcome to the New BigPanda API Documentation
Bearer.Authorization: Bearer [YOUR_USER_API_KEY]curl --location 'https://api.bigpanda.io/resources/v2.0/maintenance-plans' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "host1 maintenance",
"condition": {
"property1": "string",
"property2": "string"
},
"start": 0,
"end": 0,
"description": "string",
"frequency": "Once",
"frequency_data": {
"relativity": "string",
"duration": 0
},
"post_maintenance_action": "None",
"time_zone": "string",
"custom_tags": [
{
"name": "string",
"value": "string"
}
]
}'{
"id": "64f0b24f340000bbd269595c",
"status": "planned",
"maintenance_key": "MNT-de9d22d700e9",
"name": "host1 maintenance",
"start": 1733904622,
"end": 1734768622,
"description": "this is a description",
"custom_tags": [
{
"name": "app",
"value": "esp"
}
],
"created_by": "63bd56897755560012bf3555",
"created_at": 1613252381,
"updated_by": "63bd56897755560012bf3555",
"updated_at": 1613252381,
"frequency": "Daily",
"frequency_data": 1613252381
}